<?php

	class Config {

		private $descontar_devolucoes;
		private $nfc_eletronica;
		private $liberar_desconto_fv;
		private $liberar_ped_comodato;
		private $fatur_desc_icms_prods;
		private $dados_nfce;
		private $vendAcumFlex;
		private $nao_imp_boleto_serie_90;
		private $libsenhavendapf;
		private $libvisitaforagps;
		private $faturaservico;
		private $bloq_vend_s_intdados;
		private $conversao_un;
		private $reducao_apenas_st;
		private $metas_base_pedidos;
		private $bonif_gerar_desc_venda;
		private $danfe_ord_itens_desc;
		private $ped_val_comer_finan;
		private $trocas;
		private $fat_codinterno_danfe;
		private $digitar_unped;
		private $clientes_mult_vends;
		private $periodo_especifico;
		private $client_nao_prot_aut;
		private $data_rel_vendas;
		private $virarSaldoFlexMesZerado_Negativo;
		private $listaprecos_desconto_autorizado;
		private $estoque_reservado;
		private $ComissoesMultiplasExibirComissao;
		private $acertoDeCarga;
		private $acertoDeCarga2;
		private $integrarGestaoNoManifesto;
		private $tiposEstoque;
		private $imagens_das_visitas_obrigar_imagem;
		private $indenizacoes_descontar_flex;
		private $pix;
		private $limite_credito_via_api;
		private $EXIBIR_CLIENTE_POR;
		private $pedido_troca_controle_indeniz;
		private $liberar_portadores_empresa;

		public function __construct() {
			$this->setDescontar_devolucoes("");
		}

		public function getDescontar_devolucoes(){
			return $this->descontar_devolucoes;
		}

		public function setDescontar_devolucoes($descontar_devolucoes){
			$this->descontar_devolucoes = $descontar_devolucoes;
		}

		public function getNfc_eletronica(){
			return $this->nfc_eletronica;
		}

		public function setNfc_eletronica($nfc_eletronica){
			$this->nfc_eletronica = $nfc_eletronica;
		}

		public function getLiberar_desconto_fv(){
			return $this->liberar_desconto_fv;
		}

		public function setLiberar_desconto_fv($liberar_desconto_fv){
			$this->liberar_desconto_fv = $liberar_desconto_fv;
		}

		public function getLiberar_ped_comodato(){
			return $this->liberar_ped_comodato;
		}

		public function setLiberar_ped_comodato($liberar_ped_comodato){
			$this->liberar_ped_comodato = $liberar_ped_comodato;
		}

		public function getFatur_desc_icms_prods(){
			return $this->fatur_desc_icms_prods;
		}

		public function setFatur_desc_icms_prods($fatur_desc_icms_prods){
			$this->fatur_desc_icms_prods = $fatur_desc_icms_prods;
		}

		public function getdados_nfce(){
			return $this->dados_nfce;
		}

		public function setdados_nfce($dados_nfce){
			$this->dados_nfce = $dados_nfce;
		}

		public function getvendAcumFlex(){
			return $this->vendAcumFlex;
		}

		public function setvendAcumFlex($vendAcumFlex){
			$this->vendAcumFlex = $vendAcumFlex;
		}

		public function getNao_imp_boleto_serie_90() {
			return $this->nao_imp_boleto_serie_90;
		}

		public function setNao_imp_boleto_serie_90($nao_imp_boleto_serie_90){
			$this->nao_imp_boleto_serie_90 = $nao_imp_boleto_serie_90;
		}

		public function getLibsenhavendapf() {
			return $this->libsenhavendapf;
		}

		public function setLibsenhavendapf($libsenhavendapf){
			$this->libsenhavendapf = $libsenhavendapf;
		}

		public function getLibVisitaForaGPS() {
			return $this->libvisitaforagps;
		}

		public function setLibVisitaForaGPS($libvisitaforagps){
			$this->libvisitaforagps = $libvisitaforagps;
		}

		public function getFaturaServico() {
			return $this->faturaservico;
		}

		public function setFaturaServico($faturaservico){
			$this->faturaservico = $faturaservico;
		}

		public function getBloq_vend_s_intdados() {
			return $this->bloq_vend_s_intdados;
		}

		public function setBloq_vend_s_intdados($bloq_vend_s_intdados){
			$this->bloq_vend_s_intdados = $bloq_vend_s_intdados;
		}

		public function getConversao_un() {
			return $this->conversao_un;
		}

		public function setConversao_un($conversao_un){
			$this->conversao_un = $conversao_un;
		}

		public function getReducao_apenas_st() {
			return $this->reducao_apenas_st;
		}

		public function setReducao_apenas_st($reducao_apenas_st){
			$this->reducao_apenas_st = $reducao_apenas_st;
		}

		public function getMetas_base_pedidos() {
			return $this->metas_base_pedidos;
		}

		public function setMetas_base_pedidos($metas_base_pedidos){
			$this->metas_base_pedidos = $metas_base_pedidos;
		}

		public function getBonif_gerar_desc_venda() {
			return $this->bonif_gerar_desc_venda;
		}

		public function setBonif_gerar_desc_venda($bonif_gerar_desc_venda){
			$this->bonif_gerar_desc_venda = $bonif_gerar_desc_venda;
		}

		public function getDanfe_ord_itens_desc() {
			return $this->danfe_ord_itens_desc;
		}

		public function setDanfe_ord_itens_desc($danfe_ord_itens_desc){
			$this->danfe_ord_itens_desc = $danfe_ord_itens_desc;
		}

		public function getTrocas() {
			return $this->trocas;
		}

		public function setTrocas($trocas){
			$this->trocas = $trocas;
		}

		public function getPed_val_comer_finan() {
			return $this->ped_val_comer_finan;
		}

		public function setPed_val_comer_finan($ped_val_comer_finan){
			$this->ped_val_comer_finan = $ped_val_comer_finan;
		}

		public function getFat_codinterno_danfe() {
			return $this->fat_codinterno_danfe;
		}

		public function setFat_codinterno_danfe($fat_codinterno_danfe){
			$this->fat_codinterno_danfe = $fat_codinterno_danfe;
		}

		public function getDigitar_unped() {
			return $this->digitar_unped;
		}

		public function setDigitar_unped($digitar_unped){
			$this->digitar_unped = $digitar_unped;
		}

		public function getClientes_mult_vends() {
			return $this->clientes_mult_vends;
		}

		public function setClientes_mult_vends($clientes_mult_vends){
			$this->clientes_mult_vends = $clientes_mult_vends;
		}

		public function getPeriodo_especifico() {
			return $this->periodo_especifico;
		}

		public function setPeriodo_especifico($periodo_especifico){
			$this->periodo_especifico = $periodo_especifico;
		}

        public function getClient_nao_prot_aut() {
			return $this->client_nao_prot_aut;
		}

		public function setClient_nao_prot_aut($client_nao_prot_aut){
			$this->client_nao_prot_aut = $client_nao_prot_aut;
		}

		public function getData_rel_vendas() {
			return $this->data_rel_vendas;
		}

		public function setData_rel_vendas($data_rel_vendas){
			$this->data_rel_vendas = $data_rel_vendas;
		}

		public function getVirarSaldoFlexMesZerado_Negativo() {
			return $this->virarSaldoFlexMesZerado_Negativo;
		}

		public function setVirarSaldoFlexMesZerado_Negativo($virarSaldoFlexMesZerado_Negativo){
			$this->virarSaldoFlexMesZerado_Negativo = $virarSaldoFlexMesZerado_Negativo;
		}
		
		public function getListaprecos_Desconto_Autorizado() {
			return $this->listaprecos_desconto_autorizado;
		}

		public function setListaprecos_Desconto_Autorizado($listaprecos_desconto_autorizado){
			$this->listaprecos_desconto_autorizado = $listaprecos_desconto_autorizado;
		}
		
		public function setEstoqueReservado($estoque_reservado){
			$this->estoque_reservado= $estoque_reservado;
		}

		public function getEstoqueReservado() {
			return $this->estoque_reservado;
		}
		
		public function getAcertoDeCarga(){
			return $this->acertoDeCarga;
		}
		
		public function setAcertoDeCarga($acertoDeCarga){
			$this->acertoDeCarga = $acertoDeCarga;
		}
		
		public function getAcertoDeCarga2(){
			return $this->acertoDeCarga2;
		}
		
		
		public function setAcertoDeCarga2($acertoDeCarga2){
			$this->acertoDeCarga2 = $acertoDeCarga2;
		}
		
		
		public function getIntegrarGestaoNoManifesto(){
			return $this->integrarGestaoNoManifesto;
		}
		
		
		public function setIntegrarGestaoNoManifesto($integrarGestaoNoManifesto){
			$this->integrarGestaoNoManifesto = $integrarGestaoNoManifesto;
		}
		
		public function getTiposEstoque(){
			return $this->tiposEstoque;
		}
		
		
		public function setTiposEstoque($tiposEstoque){
			$this->tiposEstoque = $tiposEstoque;
		}
		
		public function getImagensDasVisitasObrigarImagem(){
			return $this->imagens_das_visitas_obrigar_imagem;
		}
		
		
		public function setImagensDasVisitasObrigarImagem($imagens_das_visitas_obrigar_imagem){
			$this->imagens_das_visitas_obrigar_imagem = $imagens_das_visitas_obrigar_imagem;
		}	
		
		public function getIndenizacoesDescontarflex(){
			return $this->indenizacoes_descontar_flex;
		}
		
		
		public function setIndenizacoesDescontarflex($indenizacoes_descontar_flex){
			$this->indenizacoes_descontar_flex = $indenizacoes_descontar_flex;
		}
				
		public function getPix(){
			return $this->pix;
		}
		
		
		public function setPix($pix){
			$this->pix = $pix;
		}
		
		public function getLimite_credito_via_api(){
			return $this->limite_credito_via_api;
		}
		
		
		public function setLimite_credito_via_api($limite_credito_via_api){
			$this->limite_credito_via_api = $limite_credito_via_api;
		}
		
		public function getEXIBIR_CLIENTE_POR(){
			return $this->EXIBIR_CLIENTE_POR;
		}
			
		public function setEXIBIR_CLIENTE_POR($EXIBIR_CLIENTE_POR){
			$this->EXIBIR_CLIENTE_POR = $EXIBIR_CLIENTE_POR;
		}			
		
		public function getPedido_troca_controle_indeniz(){
			return $this->pedido_troca_controle_indeniz;
		}
			
		public function setPedido_troca_controle_indeniz($pedido_troca_controle_indeniz){
			$this->pedido_troca_controle_indeniz = $pedido_troca_controle_indeniz;
		}
		
		public function getLiberar_portadores_empresa(){
			return $this->liberar_portadores_empresa;
		}
			
		public function setLiberar_portadores_empresa($liberar_portadores_empresa){
			$this->liberar_portadores_empresa = $liberar_portadores_empresa;
		}
	}
?>